import { Driver } from "./Driver";
import { Truck } from "./Truck";
import readlineSync from 'readline-sync';

const john = new Driver("John", "Doe", 35, 10);
const jack = new Driver("Jack", "Rose", 55, 30);
const jane = new Driver("Jane", "McClein", 45, 15);

const renault = new Truck(1, "Renault Magnum", john);
const volvo = new Truck(2, "Volvo FH12", jack);
const daf = new Truck(3, "DAF XF", jane);

const trucks: Truck[] = [renault, volvo, daf];

function getTrucksInfo (truks: Truck[]): void {
    console.log('№ | Грузовик | Водитель | Состояние');
    for (let i = 0; i < trucks.length; i++) {
        trucks[i].getInfoAll();
    };
};

while (true) {
    const userAns: any = readlineSync.question('Меню:\n 1. Отобразить текущее состояние грузовиков\n 2. Показать данные грузовика по id \nВыберите действие: ');
    let isNum: boolean = isNaN(userAns); 
    if (isNum === false) {
        if (parseInt(userAns) == 1) {
            getTrucksInfo(trucks);
            continue;
        };
    } else {
        continue;
    };
};